# System activation

## System activation
After the installation is completed and you enter the system, a prompt for system activation will pop up in the upper right corner of the screen. Click "Activate Now" to open the system activation window:
![Figure 1 System activation prompt](image/1.png)
Or right-click on the desktop taskbar and select "About Kylin" in the menu bar to open the "About" interface and click "Activate":

**Note: If it is an education version, the version name is 【Kylin Linux Desktop EDU V10】**

![Figure 2 "About Kylin" interface](image/2.png)
Select the activation method in the pop-up window:

**Note: If it is an education version, the version name is 【Kylin Linux Desktop EDU V10】**

![Figure 3 Select Activation Mode Interface](image/3.png)

### Wechat scan code activation
When activating for the first time, you need to use WeChat to scan the administrator's QR code to bind the administrator's rights in advance. The administrator's QR code is included in the delivered information, and the scanning code can only be activated after binding the administrator's rights.

Operation: After selecting "WeChat scan code activation", the QR code page will pop up. At this time, you need to scan the QR code in the activation interface through WeChat of the mobile device, and then enter the authorization activation interface of the mobile terminal and click the "Get Activation Code" button to enter the confirmation activation interface. In the activation confirmation interface, continue to click the "Get Activation Code" button to complete the activation operation of the mobile terminal.
![Figure 4 Scan Code Activation Interface-System Networking](image/4.png)
![Figure 5 Check Activation Interface](image/5.png)

At this time, if your system is networked, wait a few seconds, and the system will automatically refresh to the activated state.
![Figure 6 System Activation Success Interface](image/6.png)

If your system is offline (not connected to the network), please fill in the service serial number displayed on the mobile device WeChat and the obtained activation code on the system activation interface, and then click "Offline Activation", and a page with successful activation will pop up, that is, it will be automatically refreshed to the activated state.
![Figure 7 Scan Code Activation Interface-System Offline](image/7.png)
![Figure 8 Mobile authorization activation interface](image/8.png)


If the "Service Serial Number" in the "About Kylin" interface is 7 digits, you need to enter the official service serial number of 8 digits or more in the opened mobile terminal authorization activation interface, and the official service serial number is included in the delivery information. Click "Check Activation Status" to enter the interface for checking activation status.

If the "Service Serial Number" in the "About Kylin" interface is an official service serial number of 8 digits or more, directly enter the interface for checking activation status.

### Enter the product key to activate
Input product key activation is to activate the system by obtaining the product key from the electronic or physical delivery provided by Kylin software. The key consists of 20 digits and capital letters.

Operation: Fill the obtained 20-digit key into the system, and then click the "Activate" button in the interface
![Figure 9 Product Key Activation Interface](image/9.png)

At this time, if your system is networked, wait a few seconds, and the system will automatically refresh to the activated state.
![Figure 10 System Activation Success Interface](image/10.png)

If your system is offline (not connected to the network), the system will automatically determine that the network is abnormal. Please continue to click "Offline Activation".
![Figure 11 Product Key-Select Offline Activation Interface](image/11.png)

At this time, it is necessary to cooperate with the WeChat application of the mobile device to obtain the activation code by scanning the QR code in the activation interface through WeChat.
![Figure 12 Product Key-Offline Activation Interface](image/12.png)

Click "Product Key Activation" on the mobile device to enter the product key activation interface, and then continue to click "Get Activation Code".
![Figure 13 Product Key-Mobile Authorization Activation Interface](image/13.png)

After filling in the obtained activation code on the system activation interface, click "Offline Activation", and a page with successful activation will pop up, which will automatically refresh to the activated state.

### Site authorization activation
The site authorization mode is activated, that is, the system is activated by importing the LICENSE.zip file in the electronic material package provided by Kylin Software. There are two situations:

If you use the mirror image installation in the delivery information, the system will be activated after booting. You can right-click on the desktop taskbar and select "About Kylin" to open the "About Kylin" interface to view the activation status.

If you are prompted that the system is not activated after installing the system or the interface about Kylin shows that it is not activated, you need to click Activate, select Site Authorization Activation, click Add in the opened interface to select or directly drag the corresponding LICENSE.zip file to the add area, and click Activate to wait for the system prompt to activate successfully.

The authorization document is usually included in the delivery information. If it is not available, you can call the service hotline at 400-089-1870 or visit official website for more service support methods.
![Figure 14 Site Authorization File Import Interface](image/14.png)

### Insert UKey activation
Insert the UKey provided to you by Kylin software into the computer for system activation. First, insert the obtained Ukey into the USB interface of the machine to be activated, then select the "Insert Ukey Activation" mode to activate, click "Activate" and wait for the system to complete activation and prompt that the activation is successful. Ukey is usually provided by mail.
![Figure 15 Insert Ukey activation interface](image/15.png)

### Update authorization license file
If it is necessary to replace the authorization license certificate, you can import the new LICENSE.zip license file by dragging or adding, and then activate it by the above activation methods.
![Fig. 16 interface for replacing authorization certificate](image/16.png)

### Other information description
（1）The system can't be networked and can't cooperate with code scanning through the mobile WeChat application

If you select "WeChat scan code activation" and "Enter product key activation", but the system is unable to connect to the network and can't cooperate with scan code through the mobile WeChat application, the following scheme can be adopted.

a、Please ensure that your terminal system has replaced the official authorization document of 8-digit and above service serial number

b、On the desktop of the system, click the right mouse button, select "Open Terminal", and enter "sudo kylin_gen_register" in the terminal to get a series of "registration codes"

c、Scan the QR code below, pay attention to "Kylin Software" WeChat official account, and select "Full Chain Service-Product Activation".
![Figure 17 Kylin Software WeChat official account](image/17.png)

d、After entering WeChat official account, select the corresponding activation mode according to the actual situation, and then continue to select "Unable to scan code" (here is an example of code scanning activation mode).
![Figure 18 Activate the WeChat official account interface](image/18.png)

e、On the "Unable to Scan Code-Generate Activation Code" page, obtain the activation code according to the registration code obtained in step b and the official service serial number.
![Figure 19 WeChat official account-Generate Activation Code Interface](image/19.png)

f、According to the selected activation mode, the activation code is filled into the offline activation interface of the corresponding activation mode of the system.

（2）For the activated system, reinstall the system to activate it

After the activated machine reloads the system (the hardware information has not changed), the system will automatically resume the activated state in the networking state; In offline state, you need to re-activate according to the activation method you choose, and this operation will not occupy additional authorization points.


## Activation error code description
- #001

Prompt information：No LICENSE file or LICENSE file failed signature verification.

Cause：No LICENSE file or LICENSE file cannot pass signature verification.

Solution：Ensure that the format of the imported authorization file is correct. It is recommended to import the authorization file again

- #004

Prompt information：There is no valid kylin information file.

Cause：.kyinfo content or format error.

Solution：Ensure that the format of the imported authorization file is correct. It is recommended to import the authorization file again.

- #009

Prompt information：Invalid activation code.

Cause：The obtained activation code cannot activate this machine.

Solution：Ensure that the imported authorization file is correct, and then perform the activation operation again.

- #012

Prompt information：The expiration time of the activation code is earlier than the expiration time of the existing activation code of the system.

Cause：The device is already activated and the currently acquired activation code expires earlier than the local expiration time.

Solution：If you are doing an activation extension, make sure that the service validity period on the activation platform has been correctly extended.

- #014

Prompt information：No valid public key.

Cause：It may be caused by system time error.

Solution：Please connect the network synchronization time or manual synchronization time.

- #017

Prompt information：In different situations, it has different meanings. For example, when obtaining the registration code, it is "unable to generate the registration code"; When activated, it is "Unable to activate"; When querying the activation status, it is "unable to get the activation status".

Cause：1. Hardware information cannot be obtained; 2. After activation, the hardware was changed. 3. /etc/.kyhwid file is empty.

Solution：Delete the /etc/.kyhwid file when it is empty and then reactivate it. If the hardware is not available, please contact the administrator to solve the problem.

- #019

Prompt information：Version type mismatch.

Cause：Failed to determine OS type,"OS Type:Desktop/Server" in /proc/osinfo specifies whether it is a desktop version or a server version,Need to match the license and class fields.The "OS Type" in the virtual machine includes both Desktop and Server.

Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #020

Prompt information：UKEY was not found.

Cause：In order to find the UKey device when performing UKey activation operation or querying UKey data.

Solution：Ensure that the Ukey is correctly inserted into the device and is not intercepted, and ensure that the UKey driver is installed normally. You can see the corresponding UKey list by executing lsusb.

- #025

Prompt information：UKEY does not contain the service serial number.

Cause：This is an uninitialized or recycled UKey device.

Solution：Please replace other initialized UKey for system activation.

- #030

Prompt information：The number of UKEY activations has reached the upper limit.

Cause：The number of UKEY activations has reached the upper limit.

Solution：Please replace other UKey with remaining activation points for system activation.

- #038

Prompt information：The service serial number of LICENSE does not match the service serial number contained in UKEY.

Cause：When the service serial number is included in the LICENSE, it must be ensured that the service serial number in UKey is the same as that included in the LICENSE.

Solution：Please replace other UKey that matches the service serial number contained in the LICENSE for system activation.

- #048

Prompt information：The file has been modified.

Cause：/var/lib/dpkg/info/libkylin-activation.md5sums saves the MD5 values of all files installed in the libkylin-activation package, which is used to compare whether the files have been modified; Only "/usr/bin/kylin _ activation _ check" has been detected at present.

Solution：Ensure that the files installed by libkylin-activation have not been modified, and try to restart the service.

- #077

Prompt information：Product type mismatch.

Cause：The penultimate and three digits in LICENSE are different from those in. kyinfo.

Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #078

Prompt information：System platform information does not match.

Cause：The device architecture does not conform to the authorization file support architecture.

Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.

- #081

Prompt information：System version information does not match.

Cause：System version system matching error, usually caused by the cross authorization of V10 and SP1.

Solution：CaEnsure that the imported authorization file is correct, and then perform the activation operation again.